@echo off
echo setting the POSTouch+ driver that connect on Fintek F81216D serial port
if "%2" == "" goto Show_help

:begin
F81216IF
if errorlevel 1 goto DONE
@echo Find F81216D device.
call 1216set.bat
del  1216set.bat
echo.


:CheckCom4
if not "%1" == "4" goto EndCom4
set TPD1=%F81216C4IO% %F81216C4IRQ%
goto InstallCheck
:EndCom4

:CheckCom3
if not "%1" == "3" goto EndCom3
set TPD1=%F81216C3IO% %F81216C3IRQ%
goto InstallCheck
:EndCom3

:CheckCom2
if not "%1" == "2" goto EndCom2
set TPD1=%F81216C2IO% %F81216C2IRQ%
goto InstallCheck
:EndCom2

:CheckCom1
if not "%1" == "1" goto EndCom1
set TPD1=%F81216C1IO% %F81216C1IRQ%
goto InstallCheck
:EndCom1

:Show_help
echo.
echo. Command example: F81216D.BAT x n [p1] [p2] [p3]
echo.     x=1-4 (Setting the driver that use Fintek F81216D serial port No.x.)
echo.     n=1-6 (COM1~COM6)
echo.     p1,p2,p3 is optional item for use the special parameter:
echo.		/B    - Force Button Mode
echo.		/S    - Force Stream Mode
echo.		/Mn   - Force Emulation Mode (n is in dec: n=0-3)
echo.		/Tn   - Tone Mode (n is in dec: n=0-3)
goto Error_Break


:InstallCheck
echo RITouch %3 %4 %5
     RITouch %3 %4 %5
if errorlevel 1 goto DeviceNotFound
goto DONE

:DeviceNotFound
echo ###  Error! No find the POSTouch+ controller in F81216 No.%1 serial port  ###
goto DONE

:Error_Break
set errorlevel=1

:DONE
@echo on
