@echo off
echo setting the POSTouch driver that connect on Winbond W627UHG serial port
if "%2" == "" goto Show_help

:begin
W627UHGI
if errorlevel 1 goto DONE
@echo Find W627UHG device.
call SIOSET.BAT
del  SIOSET.BAT
echo.

:CheckCom6
if not "%1" == "6" goto EndCheckCom6
set TPD1=%C6IOH% %C6IRQD%
goto InstallCheck
:EndCheckCom6

:CheckCom5
if not "%1" == "5" goto EndCheckCom5
set TPD1=%C5IOH% %C5IRQD%
goto InstallCheck
:EndCheckCom5

:CheckCom4
if not "%1" == "4" goto EndCheckCom4
set TPD1=%C4IOH% %C4IRQD%
goto InstallCheck
:EndCheckCom4

:CheckCom3
if not "%1" == "3" goto EndCheckCom3
set TPD1=%C3IOH% %C3IRQD%
goto InstallCheck
:EndCheckCom3

:CheckCom2
if not "%1" == "2" goto EndCheckCom2
set TPD1=%C2IOH% %C2IRQD%
goto InstallCheck
:EndCheckCom2

:CheckCom1
if not "%1" == "1" goto EndCheckCom1
set TPD1=%C1IOH% %C1IRQD%
goto InstallCheck
:EndCheckCom1

:Show_help
echo.
echo. Command example: W627UHG.BAT x n [p1] [p2] [p3]
echo.     x=1-6 (Setting the driver that use Winbond W627UHG serial port No.x.)
echo.     n=1-6 (COM1~COM6)
echo.     p1,p2,p3 is optional item for use the special parameter:
echo.		/B    - Force Button Mode
echo.		/S    - Force Stream Mode
echo.		/Mn   - Force Emulation Mode (n is in dec: n=0-3)
echo.		/Tn   - Tone Mode (n is in dec: n=0-3)
goto Error_Break


:InstallCheck
echo RITouch %3 %4 %5
     RITouch %3 %4 %5
if errorlevel 1 goto DeviceNotFound
goto DONE

:DeviceNotFound
echo ###  Error! No find the POSTouch+ controller in W627UHG No.%1 serial port  ###
goto DONE

:Error_Break
set errorlevel=1

:DONE
@echo on
